/*
 * Sonar Standalone Runner
 * Copyright (C) 2011 SonarSource
 * dev@sonar.codehaus.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.runner.utils;

import org.apache.commons.lang.StringUtils;

import java.util.Properties;

/**
 * Public utility that can be used by consumers of the Sonar Runner.
 */
public final class SonarRunnerUtils {

  private SonarRunnerUtils() {
    // only static methods
  }

  /**
   * Transforms a comma-separated list String property in to a array of trimmed strings.
   * 
   * This works even if they are separated by whitespace characters (space char, EOL, ...)
   * 
   */
  public static String[] getListFromProperty(Properties properties, String key) {
    return StringUtils.stripAll(StringUtils.split(properties.getProperty(key, ""), ','));
  }

}
